Skip to main content
POST
/
v1
/
waterfalls
/
{waterfall_identifier}
/
run
curl --request POST \
  --url https://api.example.com/v1/waterfalls/{waterfall_identifier}/run \
  --header 'Content-Type: application/json' \
  --header 'x-apikey: <x-apikey>' \
  --data '
{
  "params": {
    "first_name": "John",
    "last_name": "Doe",
    "company": "example.com"
  },
  "enrichments": [
    833,
    966
  ],
  "email_verifier": 10
}
'
{
  "task_id": "123e4567-e89b-12d3-a456-426614174000",
  "status": "created"
}

Headers

x-apikey
any
required

API Key for authentication

Path Parameters

waterfall_identifier
string
required

The identifier of the waterfall to run

Body

application/json
params
Params · object
required
enrichments
integer[]
required

Select at least 1 enrichment

Minimum array length: 1
email_verifier
integer | null

Response

Successful Response

task_id
string
status
string